=========
AbsRunner
=========

AbsEmbedderTrainer
==================

.. autoclass:: FlagEmbedding.abc.finetune.embedder.AbsEmbedderRunner

Methods
-------

.. automethod:: FlagEmbedding.abc.finetune.embedder.AbsEmbedderRunner.load_tokenizer_and_model

.. automethod:: FlagEmbedding.abc.finetune.embedder.AbsEmbedderRunner.load_trainer

.. automethod:: FlagEmbedding.abc.finetune.embedder.AbsEmbedderRunner.load_train_dataset

.. automethod:: FlagEmbedding.abc.finetune.embedder.AbsEmbedderRunner.load_data_collator

.. automethod:: FlagEmbedding.abc.finetune.embedder.AbsEmbedderRunner.run